Subject: Re: [bug#30689] [PATCH 05/39] gnu: Add ruby-idn-ruby.

From: Christopher Baines <[email-masked]>
Date: Fri, 08 Feb 2019 20:01:11 +0000

Björn Höfling <[email-masked]> writes:

> On Mon, 28 Jan 2019 17:35:46 +0000
> Christopher Baines <[email-masked]> wrote:
>
>> Required for the ruby-addressable tests.
>>
>> * gnu/packages/ruby.scm (ruby-idn-ruby): New variable.
>
> This package is NOT reproducible:
>
> │ │ │ │ │ │ ├── Makefile
> │ │ │ │ │ │ │ @@ -27,16 +27,16 @@
> │ │ │ │ │ │ │  rubyarchhdrdir = $(rubyhdrdir)/$(arch)
> │ │ │ │ │ │ │  vendorhdrdir = $(rubyhdrdir)/vendor_ruby
> │ │ │ │ │ │ │  sitehdrdir = $(rubyhdrdir)/site_ruby
> │ │ │ │ │ │ │  rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
> │ │ │ │ │ │ │  vendorarchdir = $(vendorlibdir)/$(sitearch)
> │ │ │ │ │ │ │  vendorlibdir = $(vendordir)/$(ruby_version)
> │ │ │ │ │ │ │  vendordir = $(rubylibprefix)/vendor_ruby
> │ │ │ │ │ │ │ -sitearchdir = $(DESTDIR)./.gem.20190203-76-1x18rur
> │ │ │ │ │ │ │ -sitelibdir = $(DESTDIR)./.gem.20190203-76-1x18rur
> │ │ │ │ │ │ │ +sitearchdir = $(DESTDIR)./.gem.20190203-76-3av0wa
> │ │ │ │ │ │ │ +sitelibdir = $(DESTDIR)./.gem.20190203-76-3av0wa
>
> Can you have a look into it?
>
> I have NOT reviewed anything else of that package.

Interesting, it seems that the ruby-build-system should remove some
unnecessary files, like this Makefile you mention, but the functionality
is not working.

I've pushed a patch [1] that fixes this to the bug I already have open
regarding the ruby-build-system [2].

1: [PATCH v2 3/3] guix: ruby-build-system: Fix removal of extension
related files.
2: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34385

Thanks,

Chris